package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 取整类型
 * @Author: ljc
 * @Time: 2022/9/27 10:31
 * @Classname: EDefault
 * @Package_name: com.hzs.common.core.enums
 */

@AllArgsConstructor
@Getter
public enum ERoundingType {

    /**
     * 向上取整
     */
    UP(1, "向上取整"),

    /**
     * 向下取整
     */
    DOWN(2, "向下取整"),

    /**
     * 四舍五入
     */
    ROUND(3, "四舍五入"),

    ;

    /**
     * 实际值（数字型）
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;


}
